"use strict";

//------------------------------------------------------------------------------
// Rule Definition
//------------------------------------------------------------------------------

module.exports = {
  meta: {
    docs: {
      description: "不要使用已经被废弃的方法",
      category: "weex",
      recommended: false
    }
  },

  create(context) {
    return {
      CallExpression: function(node) {
        if (isDeprecated(node.callee)) {
          context.report({
            node: node.callee,
            message: 'Do not use deprecated methods'
          })
        }
      }
    }
  }
}

function isDeprecated (callee) {
  // console.log(callee.object.type)
  let deprecated = callee.type === 'MemberExpression'
    && callee.object.type === 'ThisExpression'
    && callee.name === '$sendMtop'
  return deprecated
}
