"use strict";

//------------------------------------------------------------------------------
// Requirements
//------------------------------------------------------------------------------

const rule = require('../rules/no-deprecated-methods')
const RuleTester = require('eslint').RuleTester

//------------------------------------------------------------------------------
// Tests
//------------------------------------------------------------------------------

const errors = [{
  type: "MemberExpression",
  message: "Do not use deprecated methods",
}]

const tester = new RuleTester()
tester.run("no-register-methods", rule, {
  valid: [
    `global.$userTrack()`,
    `$sendMtop()`,
  ],
  invalid: [{
    code: `this.$sendMtop()`,
    errors
  }]
})
